/* FBAssociation.h created by ahoesch on Wed 13-Dec-2000 */
#import <Foundation/Foundation.h>
#import <FBEnterprise/FBEnterprise.h>

@class FBDisplayGroup;

@interface FBAssociation : FBDelayedObserver
{
   id _displayObject;
   NSMutableDictionary *_aspectDic; // aspectName --> { displayGroup, key }
}	

+ (NSArray *)aspects;

- (id)initWithObject:(id)displayObject;
   
- (void)bindAspect:(NSString *)aspectName displayGroup:(FBDisplayGroup *)aDisplayGroup key:(NSString *)key;
//- (void)bindAspect:(NSString *)aspectName displayGroup:(FBDisplayGroup *)displayGroup outlet:(NSString *)outlet;

- (void)establishConnection;
- (void)breakConnection;

- (FBDisplayGroup *)displayGroupForAspect:(NSString *)aspectName;
- (NSString *)displayGroupKeyForAspect:(NSString *)aspectName;

- (BOOL)setValue:(id)value forAspect:(NSString *)aspectName;
- (id)valueForAspect:(NSString *)aspectName;

- (id)displayObject;

@end
