/* FBOutlineView.h created by ahoesch on Fri 22-Jun-2001 */

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import <FBEnterprise/FBEnterprise.h>

@class FBOutlineViewAssociation;

@interface FBOutlineView : NSOutlineView
{
}

+ (FBEntity *)entityAtLevel:(int)level rootEntity:(FBEntity *)rootEntity bindArray:(NSArray *)bindArray;

- (int)expandLevel;

- (NSArray *)selectedObjects;
- (FBObject *)selectedObject;
//- (FBObject *)objectAtRow:(int)row;

- (FBOutlineViewAssociation *)association;
- (void)reloadObject:(FBObject *)object;

- (void)delete:(id)sender;

@end
