/* AddDatabaseController.h created by ahoesch on Thu 13-Apr-2000 */

#import <AppKit/AppKit.h>

@interface FBSelectDatabaseController : NSObject
{
   id panel;
   id hostNameField;
   id browser;
   id selectButton;
   NSString *_host;
   NSString *_database;
   BOOL _showAll;
}

+ (FBSelectDatabaseController *)controller;

- (BOOL)runModal;

- (void)stopModal:(id)sender;
- (void)abortModal:(id)sender;
- (void)browserHit:(id)sender;
- (void)addHost:(id)sender;

- (NSString *)host;
- (NSString *)database;

// make sure all databases are show, even those that are already monitored
- (void)setShowAll:(BOOL)flag;

@end
