/* FBDatabaseDataSource.h created by ahoesch on Wed 13-Dec-2000 */

#import <Foundation/Foundation.h>
#import "FBDataSource.h"

@class FBEditingContext;
@class FBEntity;
@class FBFetchSpecification;

@interface FBDatabaseDataSource : FBDataSource
{
   FBEntity *_entity;
   FBFetchSpecification *_fetchSpecification;
}

- (id)initWithEditingContext:(FBEditingContext *)editingContext entityName:(NSString *)entityName;
- (id)initWithEditingContext:(FBEditingContext *)editingContext;

- (FBEntity *)entity;

- (void)setFetchSpecification:(FBFetchSpecification *)fetchSpecification;
- (FBFetchSpecification *)fetchSpecification;

@end
