/* FBJoin.h created by ahoesch on Sat 30-Sep-2000 */

#import <Foundation/Foundation.h>
#import "FBAttribute.h"

@interface FBJoin : NSObject < NSCoding >
{
    FBAttribute *_sourceAttribute;
    FBAttribute *_destinationAttribute;
}

- initWithSourceAttribute:(FBAttribute *)source destinationAttribute:(FBAttribute *)destination;

- (FBAttribute *)sourceAttribute;
- (FBAttribute *)destinationAttribute;

- (BOOL)isReciprocalToJoin:(FBJoin *)otherJoin;

- (NSDictionary *)propertyList;

@end
