/* FBObserving.h created by ahoesch on Wed 13-Dec-2000 */

@protocol FBObserving

// informs an observer that an object is about to be changed (before the change got applied)
- (void)objectWillChange:(id)object mask:(NSNumber *)mask;

// informs an observer that an object has been changed
- (void)objectDidChange:(id)object mask:(NSNumber *)mask;

@end
