/* FBRelationCarrier.h created by ahoesch on Thu 12-Oct-2000 */

#import <Foundation/Foundation.h>
#import "FBFetchSpecification.h"
#import "FBObject.h"

@interface FBRelationCarrier : NSObject
{
   FBFetchSpecification *_fetchSpecification;
   id _value; // FBObject or NSMutableSet
   BOOL _isValid;
   BOOL _isToMany;
}

- (id)initWithIsToMany:(BOOL)flag;

- (BOOL)isToMany;
- (BOOL)isValid;
- (void)invalidate;

- (void)setFetchResult:(NSArray *)array owner:(FBObject *)owner backKey:(NSString *)backKey;
- (void)setValue:(id)value;			// for toOne only
- (id)value;
- (void)addObject:(FBObject *)object;		// for toMany only
- (void)removeObject:(FBObject *)object;	// for toMany only
- (BOOL)containsObject:(FBObject *)object;

@end
