/* FBValue.h created by ahoesch on Sat 17-Mar-2001 */

#import <Foundation/Foundation.h>

@class FBObject;
@class FBEntity;

@interface FBValue : NSObject < NSCoding >
{
   NSString *_name;
   NSString *_selector;
   FBEntity *_entity;
   NSMutableDictionary *_argumentDic;	// index --> argument
}	

- (void)setName:(NSString *)name;
- (NSString *)name;

- (void)setSelector:(NSString *)selector;
- (NSString *)selector;

- (void)setArgument:(id)argument atIndex:(int)index;
- (id)argumentAtIndex:(int)index;

- (void)setEntity:(FBEntity *)entity;
- (FBEntity *)entity;

- (id)determineValueOnObject:(FBObject *)object arguments:(NSArray *)arguments;

@end
