/* Chapter.h created by ahoesch on Tue 19-Jun-2001 */
#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import <FBEnterprise/FBEnterprise.h>
#import "LaTeXGeneratorProtocol.h"

enum {
   NORMALCHAPTERKIND = 0,
   FRONTMATTERCHAPTERKIND = 1,
   BACKMATTERCHAPTERKIND = 2,
   PARTCHAPTERKIND = 3,
   APPENDIXCHAPTERKIND = 4
};
   
@interface Chapter : FBObject
{

}

+ (NSImage *)smallImage;
- (NSDictionary *)fontAttributesForDisplay;
- (BOOL)editable;
- (BOOL)isExpandable;

@end
