/* FBUserDefaults.h created by ahoesch on Tue 18-Sep-2001 */

#import <Foundation/Foundation.h>

@interface FBUserDefaults : NSObject
{
   NSDictionary *_dic;
}

+ (FBUserDefaults *)standardUserDefaults;

- (void)setDictionary:(NSDictionary *)dic;

- (void)setObject:(id)value forKey:(NSString *)defaultName;
- (id)objectForKey:(NSString *)defaultName;

- (void)setInteger:(int)value forKey:(NSString *)defaultName;
- (int)integerForKey:(NSString *)defaultName;

- (void)setBool:(BOOL)value forKey:(NSString *)defaultName;
- (BOOL)boolForKey:(NSString *)defaultName;

- (NSDictionary *)dictionaryRepresentation;
- (BOOL)synchronize;

@end
