/* FolderFile.h created by ahoesch on Tue 16-Oct-2001 */

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import <FBEnterprise/FBEnterprise.h>
#import "LinkTargetProtocol.h"

@interface FolderFile : FBObject < LinkTargetProtocol >
{
   NSImage *_image;
   NSString *_path;
   BOOL _isDirectory;
}

- (BOOL)writeToDirectory:(NSString *)path;
- (BOOL)removeFileFromDisk;
- (NSString *)path;
- (void)setIsDirectory:(BOOL)flag;

@end
