/* FormulaCell.h created by ahoesch on Tue 08-May-2001 */

#import <AppKit/AppKit.h>

@interface FormulaCell : NSTextAttachmentCell
{
   NSSize _cellSize;
   BOOL _borderValid;
   float _borderWidth, _margin;
   float _middleline, _baselineOffset;
   NSRect _fontRect;
   float _pointSize;
}

- (void)setCellSize:(NSSize)size;
- (void)setBorderWidth:(float)width margin:(float)margin;

- (void)setMiddleline:(float)value;
- (void)setBaselineOffset:(float)value;
- (void)setFont:(NSFont *)font;

- (float)offset;

@end
