/* LaTeXGeneratorProtocol.h created by ahoesch on Sat 09-Jun-2001 */

#import <AppKit/AppKit.h>
#import <FBEnterprise/FBEnterprise.h>

@class Figure;

@protocol LaTeXGeneratorProtocol

- (void)addBibliographyId:(NSNumber *)number;
- (NSString *)structForTheoremKey:(NSString *)kind;

- (NSArray *)figureFileWrappers;
- (void)addFigureFileWrapper:(NSFileWrapper *)wrapper figure:(Figure *)figure;

//- (void)registerPrintableRootObject:(FBObject *)object;
- (void)registerDoneGlobalID:(FBGlobalID *)globalID;
- (void)registerReferencedGlobalID:(FBGlobalID *)globalID;

- (NSString *)citeTagForForm:(int)form;
- (BOOL)supportsMultipleCitationOptions;
- (BOOL)createPostScript;

@end
