/* PathObject.h created by ahoesch on Fri 14-Sep-2001 */

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

typedef enum { POStroke, POFill } POACTIONKIND;

@interface PathObject : NSObject
{
   NSBezierPath *_bezierPath;
   POACTIONKIND _action;
   NSPoint _offset;
}

- (id)initWithBezierPath:(NSBezierPath *)bezierPath;

- (void)translateXBy:(float)dx yBy:(float)dy;

- (void)setAction:(POACTIONKIND)action;

- (void)drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;

@end
