/* FBContainerViewAssociation.h created by ahoesch on Sat 14-Apr-2001 */

#import <Foundation/Foundation.h>
#import "FBAssociation.h"
#import "FBContainerView.h"

@interface FBContainerViewAssociation : FBAssociation < FBContainerViewDataSourceProtocol >
{
   BOOL _editingContextEditable;
}

- (void)setEditingContextEditable:(BOOL)flag;
- (void)checkSelection;
- (BOOL)isDeleteEnabled;

@end

@interface FBContainerView (FBContainerViewAssociationExtension)

- (void)bindToDisplayGroup:(FBDisplayGroup *)displayGroup editable:(BOOL)flag;
- (void)destroyAssociations;

@end


