/* DatabasesViewController.h created by ahoesch on Thu 04-May-2000 */

#import <AppKit/AppKit.h>
#import "FBDatabaseController.h"

@interface FBDatabasesViewController : NSObject
{
   NSMutableArray *_databaseControllers;
}

/* *** These methods have to be overwritten by subclasses *** */
- (void)updateDisplayObjects;
- (FBDatabaseController *)selectedDatabaseController;
- (NSArray *)selectedDatabaseControllers;
- (BOOL)isVisible;

- (void)monitorDatabase:(id)sender;
- (void)demonitorDatabase:(id)sender;
- (void)startDatabase:(id)sender;
- (void)stopDatabase:(id)sender;
- (void)newDatabase:(id)sender;
- (void)deleteDatabase:(id)sender;
- (void)connect:(id)sender;
//- (void)administer:(id)sender;

@end


@interface FBDatabasesViewController (Delete)

- (void)delete:(id)sender;

@end
