/* FBFormatter.h created by ahoesch on Thu 10-May-2001 */

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

@interface FBFormatter : NSObject
{
   NSTextField *_textField;
}

+ (NSString *)decimalSeparator;

- (void)setNumberFormat:(NSString *)format;
- (void)setNumberFormat:(NSString *)format decimalSeparator:(NSString *)decimalSep thousandSeparator:(NSString *)thousandSep;
- (void)setDateFormat:(NSString *)format;

- (id)objectValueForString:(NSString *)string;
- (NSString *)stringForObjectValue:(id)objectValue;

@end
