/* FBDetailDataSource.h created by ahoesch on Wed 13-Dec-2000 */

#import <Foundation/Foundation.h>
#import "FBDataSource.h"

@class FBObject;
@class FBEntity;
@class FBRelationship;

@interface FBDetailDataSource : FBDataSource
{
   FBDataSource *_masterSource;
   NSString *_detailKey;
   FBObject *_masterObject;
}

- (id)initWithMasterDataSource:(FBDataSource *)masterDataSource detailKey:(NSString *)relationshipKey;

- (FBDataSource *)masterDataSource;
- (NSString *)detailKey;

- (FBRelationship *)relationship;
- (FBEntity *)entity;
- (FBEntity *)masterEntity;

- (void)qualifyWithObject:(FBObject *)masterObject;
- (FBObject *)masterObject;


@end
