/* FBObjectID.h created by ahoesch on Tue 19-Jun-2001 */

#import <Foundation/Foundation.h>
#import "FBGlobalID.h"

@interface FBObjectID : FBGlobalID
{
   NSString *_entityName;
   NSString *_database;
   NSString *_host;
}

+ (id)objectIDForObject:(FBObject *)object;

- (id)initWithEntityName:(NSString *)entityName primaryKey1:(int)primaryKey1 primaryKey2:(int)primaryKey2 host:(NSString *)host database:(NSString *)database;

- (void)setEntityName:(NSString *)entityName;
- (NSString *)entityName;

- (void)setHost:(NSString *)host;
- (NSString *)host;

- (void)setDatabase:(NSString *)database;
- (NSString *)database;

@end
