/* FBStringCoder.h created by ahoesch on Sat 09-Jun-2001 */

#import <Foundation/Foundation.h>

@interface FBStringCoder : NSObject
{

}

+ (NSString *)stringPlusCheckSum:(NSString *)aString;
+ (NSString *)stringMinusCheckSum:(NSString *)aString;

+ (NSString *)stringRepresentationFromData:(NSData *)aData;
+ (NSData *)dataFromStringRepresentation:(NSString *)aString;

+ (NSData *)encodeData:(NSData *)aData withPassword:(NSString *)aPassword;
+ (NSData *)decodeData:(NSData *)aData withPassword:(NSString *)aPassword;

+ (NSString *)encodedString:(NSString *)string password:(NSString *)password;
+ (NSString *)decodedString:(NSString *)string password:(NSString *)password;

@end

