/* BlockPart.h created by ahoesch on Sat 03-Nov-2001 */

#import <Foundation/Foundation.h>
#import "SchemePart.h"

@interface BlockPart : SchemePart
{
   int _numberOfRows;
   int _numberOfColumns;
   NSArray *_sublines;
}

- (id)initWithNumberOfRows:(int)rows numberOfColumns:(int)columns;
- (id)initWithMatrixRows:(NSArray *)array;

- (NSDictionary *)suggestedVectorSublines;
- (void)useVectorSublines:(NSDictionary *)dic;

@end
