/* CountCenter.h created by ahoesch on Fri 30-Nov-2001 */

#import <Foundation/Foundation.h>

@class Theorem;
@class Formula;
@class Figure;

@interface CountCenter : NSObject
{
   unsigned int _documentNumber;
   NSMutableDictionary *_theoremDic; // Satz --> { primKey --> 1,... }, Collorar --> { primKey --> 1 ],...
   NSMutableDictionary *_formulaNumberDic;
   NSMutableDictionary *_figureNumberDic;
}

+ (NSNumber *)documentNumberForPrimaryKey:(NSNumber *)primaryKey;

- (id)initWithPrimaryKey:(NSNumber *)number;

- (NSString *)labelForTheorem:(Theorem *)theorem;
- (NSString *)labelForFormula:(Formula *)formula;
- (NSString *)labelForFigure:(Figure *)figure;

@end
