/* Document.h created by ahoesch on Sun 10-Jun-2001 */

#import <AppKit/AppKit.h>
#import "Section.h"
#import "LicenseManager.h"
#import "Signature.h"
#import "InspectorPageProtocols.h"
#import "CountCenter.h"

@interface Document : Section < AttributesInspectorPageProtocol >
{
   Signature *_signature;
   CountCenter *_countCenter;
}

- (void)createSignatureWithAuthor:(Author *)author;
- (void)registerModificationByUser:(Author *)author;
- (BOOL)hasDecodedSignature;
- (Signature *)signatureObject;

- (void)loadSignature;

- (CountCenter *)countCenter;

@end
