/* DocumentClassPreferencesPageController.h created by ahoesch on Mon 26-Nov-2001 */

#import <Foundation/Foundation.h>
#import <FBAppKit/FBAppKit.h>

@interface DocumentClassPreferencesPageController : NSObject < PreferencesPageProtocol >
{
   IBOutlet NSBox *view;
   IBOutlet NSTableView *tableview;
   IBOutlet NSTextView *textview;
   IBOutlet NSTextField *pathField;
   IBOutlet NSMatrix *kindMatrix;
   IBOutlet NSButton *removeButton;
   NSMutableArray *_classes;
}

+ (id)controller;

- (void)updateInfo;
- (NSMutableDictionary *)selectedDic;
- (NSMutableDictionary *)mutableDicAtIndex:(int)index;
- (void)add:(id)sender;
- (void)remove:(id)sender;
- (void)defaults:(id)sender;
- (void)setPath:(id)sender;
- (void)matrixClicked:(id)sender;

@end
