/* EmphasisCarrier.h created by ahoesch on Thu 31-May-2001 */

#import <AppKit/AppKit.h>
#import "PropertyCarrierProtocol.h"
#import "HTMLGeneratorProtocol.h"
#import "PropertyCarrier.h"

#define WEAKEMPHASISKIND 0
#define STRONGEMPHASISKIND 1
#define PURELATEXKIND 2

@interface EmphasisCarrier : PropertyCarrier < PropertyCarrierProtocol >
{
   int _kind;
}

- (void)setFontAttributes:(NSMutableDictionary *)dic attribute:(NSString *)attributeName size:(float)size;

- (BOOL)isLatexEmphasis;

- (void)setKind:(int)kind;
- (int)kind;

- (NSString *)replacementForAttributedString:(NSAttributedString *)attrString latexGenerator:(id < LaTeXGeneratorProtocol >)generator;
- (NSString *)replacementForAttributedString:(NSAttributedString *)attrString htmlGenerator:(id < HTMLGeneratorProtocol >)generator;

@end
