/* Fencer.h created by ahoesch on Wed 24-Oct-2001 */

#import <Foundation/Foundation.h>
#import "SchemePart.h"

typedef enum { MATRIXFENCESTYLE, VECTORFENCESTYLE, BRACKETFENCESTYLE, DETFENCESTYLE } FENCESTYLE;

@interface Fencer : NSObject
{
   FENCESTYLE _style;
}

- (void)setStyle:(FENCESTYLE)style;

- (int)leftTopGlyph;
- (int)leftMiddleGlyph;
- (int)leftBottomGlyph;

- (int)rightTopGlyph;
- (int)rightMiddleGlyph;
- (int)rightBottomGlyph;

- (void)correctSizeForPart:(SchemePart *)part withSize:(NSSize)size;
- (void)addGlyphs:(int)glyph toPart:(SchemePart *)part betweenTopGlyph:(GlyphObject *)topGlyph bottomGlyph:(GlyphObject *)bottomGlyph;

@end
