/* FilterPreferencesPageController.h created by ahoesch on Sat 24-Nov-2001 */

#import <Foundation/Foundation.h>
#import <FBAppKit/FBAppKit.h>

@interface FilterPreferencesPageController : NSObject < PreferencesPageProtocol >
{
   IBOutlet NSBox *view;
   IBOutlet NSTableView *tableview;
   IBOutlet NSMatrix *matrix;
   IBOutlet NSButton *removeButton;
   IBOutlet NSTextField *pathField;
   NSMutableArray *_filters;
}

+ (id)controller;

- (void)updateInfo;
- (NSMutableDictionary *)selectedDic;
- (NSMutableDictionary *)mutableDicAtIndex:(int)index;
- (void)matrixClicked:(id)sender;
- (void)add:(id)sender;
- (void)remove:(id)sender;
- (void)defaults:(id)sender;
- (NSArray *)checkedFilters:(NSArray *)array;
- (void)setPath:(id)sender;

@end
