/* IntegralPart.h created by ahoesch on Sat 15-Sep-2001 */

#import <Foundation/Foundation.h>
#import "SchemePart.h"

@class TextPart;
@class ExpressionPart;

@interface IntegralPart : SchemePart
{
   TextPart *_diffPart;
   float _diffOrigin;
   float _middleline;
   float _ascender;
   BOOL _hasAscender;
}

- (ExpressionPart *)integrand;
- (ExpressionPart *)bvar;
- (ExpressionPart *)lowlimit;
- (ExpressionPart *)uplimit;

- (BOOL)hasLimits;

@end
