/* LicensePageController.h created by ahoesch on Sat 09-Jun-2001 */

#import <AppKit/AppKit.h>
#import <FBAppKit/FBAppKit.h>

@interface LicensePreferencesPageController : NSObject < PreferencesPageProtocol >
{
   IBOutlet NSBox *view;
   IBOutlet NSPanel *panel;
   IBOutlet NSTableView *tableView;
   IBOutlet NSTextField *authorField;
   IBOutlet NSTextField *organizationField;
   IBOutlet NSTextField *expiryField;
   IBOutlet NSTextField *userField;
   IBOutlet NSTextField *licenseField;
   NSMutableArray *_records;
}

+ (id)controller;

- (void)add:(id)sender;
- (void)remove:(id)sender;
- (void)updateInfo;

- (void)stopModal:(id)sender;
- (void)abortModal:(id)sender;

@end
