/* LinkTargetProtocol.h created by ahoesch on Fri 01-Jun-2001 */

#import <AppKit/AppKit.h>

@class CountCenter;
@class FBObject;
@class Link;

@protocol LinkTargetProtocol

- (NSAttributedString *)attributedLinkRepresentationWithLink:(Link *)link;
- (NSString *)linkRepresentationWithLink:(Link *)link;

- (FBObject *)presentableRootObject;
- (FBObject *)printableRootObject;

- (void)fillLabelInRange:(NSRange)range attributedString:(NSMutableAttributedString *)attrString countCenter:(CountCenter *)countCenter length:(int *)pLength;

@end
