#import <AppKit/NSScrollView.h>

@class NSPopUpButton;

#define ScrollViewScaledNotification @"ScrollViewScaledNotification"

@interface ScalingScrollView : NSScrollView
{
    NSPopUpButton *_scalePopUpButton;
    float scaleFactor;
}

+ (NSArray *)scalePopUpTitles;
+ (float)newScaleFactorForTitle:(NSString *)title;
+ (NSArray *)scaleFactors;
+ (NSString *)scalePopUpTitleForScaleFactor:(float)value;

- (void)scalePopUpAction:(id)sender;
- (void)makeScalePopUpButton;
- (void)setScaleFactor:(float)factor;
- (float)scaleFactor;

- (void)setScaleTitle:(NSString *)title;
- (NSPopUpButton *)scalePopUpButton;

- (void)zoomIn;
- (void)zoomOut;

@end
