/* SchemePart.h created by ahoesch on Sat 01-Sep-2001 */

#import <Foundation/Foundation.h>
#import "ParentPart.h"

@class GlyphObject;

@interface SchemePart : ParentPart
{
   NSMutableArray *_pathObjects;
   NSMutableArray *_glyphObjects;
}

- (id)initWithArray:(NSArray *)array dictionary:(NSDictionary *)dictionary;

+ (NSArray *)acceptedQualifiers;
- (NSArray *)qualifiers;
- (NSNumber *)indexForQualifier:(NSString *)qualifier;

- (void)addGlyphObject:(GlyphObject *)glyphObject;
- (void)translateXBy:(float)dx yBy:(float)dy;

@end
