/* TheoremCarrier.h created by ahoesch on Wed 30-May-2001 */

#import <FBEnterprise/FBEnterprise.h>
#import <AppKit/AppKit.h>
#import "PropertyCarrierProtocol.h"
#import "LaTeXGeneratorProtocol.h"
#import "HTMLGeneratorProtocol.h"
#import "PropertyCarrier.h"
#import "Theorem.h"

@class CountCenter;

@interface TheoremCarrier : PropertyCarrier < PropertyCarrierProtocol >
{
   Theorem *_theorem;
}

- (void)setFontAttributes:(NSMutableDictionary *)dic attribute:(NSString *)attributeName size:(float)size;

- (NSDictionary *)keyFontAttributes;
- (NSDictionary *)additionFontAttributes;
- (NSDictionary *)textFontAttributes;

- (Theorem *)theorem;

- (NSString *)replacementForAttributedString:(NSAttributedString *)attrString latexGenerator:(id < LaTeXGeneratorProtocol >)generator;
- (NSString *)replacementForAttributedString:(NSAttributedString *)attrString htmlGenerator:(id < HTMLGeneratorProtocol >)generator;

@end
